# ApplicationFramework
TKBinL
BinObjMgt

# BinObjMgt_DataMapNodeOfRRelocationTable Class Reference

`#include <BinObjMgt_DataMapNodeOfRRelocationTable.hxx>`

## Public Member Functions

| BinObjMgt_DataMapNodeOfRRelocationTable (const Standard_Integer &K, const Handle(Standard_Transient)&I, const TCollection_MapNodePtr &n)
Standard_Integer & | Key () const
Handle_Standard_Transient & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | myKey
Handle_Standard_Transient | myValue

## Constructor & Destructor Documentation

BinObjMgt_DataMapNodeOfRRelocationTable::BinObjMgt_DataMapNodeOfRRelocationTable | ( | const Standard_Integer & | K,
|  | const Handle(Standard_Transient)& | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const BinObjMgt_DataMapNodeOfRRelocationTable::Handle | ( | Standard_Type |  | ) | const

Standard_Integer& BinObjMgt_DataMapNodeOfRRelocationTable::Key | ( |  | ) | const

Handle_Standard_Transient& BinObjMgt_DataMapNodeOfRRelocationTable::Value | ( |  | ) | const

## Field Documentation

Standard_Integer BinObjMgt_DataMapNodeOfRRelocationTable::myKey `[private]`

Handle_Standard_Transient BinObjMgt_DataMapNodeOfRRelocationTable::myValue `[private]`

The documentation for this class was generated from the following file:

- BinObjMgt_DataMapNodeOfRRelocationTable.hxx